var app = getApp()
var that=null
var sopenFrame=null
var wait=120
Page( {
  data: {
    loadingHidden:false,
    nodataHidden:true,
    mybalance:[],
    ifrdata:0,
    Start: 0
  },

  onLoad: function(options) {
      that = this 
      that.clearCache();//清本页缓存
      that.getlist(0);
    }, // 下拉刷新
    onPullDownRefresh: function () {
       //在当前页面显示导航条加载动画
     wx.showNavigationBarLoading(); 
     //显示 loading 提示框。需主动调用 wx.hideLoading 才能关闭提示框
     wx.showLoading({
         title: '刷新中...',
     })
        that.clearCache();
        that.getlist(1);//第一次加载数据
    },

     // 页面上拉触底事件（上拉加载更多）
    onReachBottom: function () {
      if(that.data.loadingHidden){
       that.setData({
        loadingHidden:false
        }); 
        that.getlist(2);//后台获取新数据并追加渲染
      }else{
        wx.hideLoading();
      }
    }, 

 // 清缓存
 clearCache:function(){
    that.setData({
      loadingHidden:false,
      Start: 0,
      mybalance:[]
    }); 
},getlist: function(gp) {
      var userId = wx.getStorageSync("userId")
      var LoginId = wx.getStorageSync("LoginId")
      that.setData({
        ifrdata:1
     })
      wx.request({
        url: app.globalData.apiurl + "/xapiajax.ashx?timestamp=" + (new Date().getTime() / 1000), 
        data: { 
          action:"getqwzzjf_log",
           Start:that.data.Start,
           userId:(userId==null?"":userId),
           LoginId:(LoginId==null?"":LoginId)
        },
        method:"GET",
        dataType:"json", 
        header: { 
          "content-type": "application/json" // 默认值
        },
        success (res) { 
         
            if(res.data.status==1){
              var tmpArr = null;
              tmpArr = that.data.mybalance;
              if(res.data.data.length>0){
                  tmpArr.push.apply(tmpArr,res.data.data);
              }
              that.setData({
                  mybalance: tmpArr,
                  Start: that.data.Start+res.data.data.length,
                  loadingHidden:true
              })
              if(gp==0||gp==1){
                if(res.data.data.length==0){
                    that.setData({
                        nodataHidden:false
                    })
                }else{
                  that.setData({
                    nodataHidden:true
                   })
                }
            }
        }else{
          wx.showToast({
            title: res.data.msg,
            icon: "none",
            duration: 3000
           })
        }
        if(gp==1){
          //隐藏loading 提示框
          wx.hideLoading();
          //隐藏导航条加载动画
          wx.hideNavigationBarLoading();
          //停止下拉刷新
          wx.stopPullDownRefresh();
      }
          }
      })
    }
})
